﻿namespace ProjectMotorboat.Entities;

public class EntityMotorboat : EntityBoat
{
    public Color AdditionalColor { get; private set; }

    public bool Motor { get; private set; }

    public bool Glass { get; private set; }

    public EntityMotorboat(int speed, double weight, Color bodyColor, Color additionalColor, bool motor, bool glass) : base (speed, weight, bodyColor)
    {
       
        AdditionalColor = additionalColor;
        Motor = motor;
        Glass = glass;
    }
}
